### Method

# Pango Layout set_markup

#### Declaration [src]

    void
    pango_layout_set_markup (
      PangoLayout* layout,
      const char* markup,
      int length
    )

#### Description [src]

Sets the layout text and attribute list from marked-up text.

See Pango Markup).

Replaces the current text and attribute list.

This is the same as `pango_layout_set_markup_with_accel()`, but the markup text isn’t scanned for accelerators.

#### Parameters

`markup` | `const char*`
| Marked-up text.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length of marked-up text in bytes, or -1 if `markup` is `NUL`-terminated.